Bug 15208 - display:table causes the collapsed text to show at a different position when expanded
Summary: display:table causes the collapsed text to show at a different position when ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 523.x (Safari 3)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://shopping.alice.it/categorie/fo...
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2007-09-13 14:45 PDT by Anantha Keesara
Modified: 2007-10-20 21:11 PDT (History)
2 users (show)

See Also:


Attachments
display:table causes the collapsed text to show at a different position when expanded (807 bytes, text/html)
2007-09-13 15:02 PDT, Anantha Keesara
no flags Details
Test case from radar (22.45 KB, application/zip)
2007-09-16 01:50 PDT, Mark Rowe (bdash)
no flags Details
Roll out r11579 (36.25 KB, patch)
2007-10-19 18:03 PDT, mitz
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anantha Keesara 2007-09-13 14:45:28 PDT
I. Steps:
-----------
1. Go to: http://shopping.alice.it/categorie/fotografia/index.html?pmk=SHnav
2. Click on "Fotografia" to collapse the text underneath it.
3. Click on "Fotografia" again to expand.

II. Issue:
-----------------
Notice that the text is shown in a wrong spot.

III. Other browsers:
-----------------------
IE, FF, Opera: no issues.
Safari: has issue.
Comment 1 Anantha Keesara 2007-09-13 15:02:44 PDT
Created attachment 16283 [details]
display:table causes the collapsed text to show at a different position when expanded
Comment 2 mitz 2007-09-15 14:12:35 PDT
Rolling out <http://trac.webkit.org/projects/webkit/changeset/11579> fixes this bug (yet the bug is not a regression from Safari 2). I think that change may need to be refined, but I'm not sure what it was all about, and it didn't come with a layout test. I'm told there's a test case attached to <rdar://problem/4335884>...
Comment 3 Mark Rowe (bdash) 2007-09-16 01:50:22 PDT
Created attachment 16299 [details]
Test case from radar
Comment 4 mitz 2007-10-19 18:03:09 PDT
Created attachment 16737 [details]
Roll out r11579
Comment 5 Dave Hyatt 2007-10-19 19:54:21 PDT
Comment on attachment 16737 [details]
Roll out r11579

r=me
Comment 6 mitz 2007-10-20 21:11:16 PDT
Fixed in <http://trac.webkit.org/projects/webkit/changeset/26840>.